
/** testflax is a wierd test module to test the flexilayout class.
 *
 *  Philip Brown
 * phil@bolthole.com
 */


import java.awt.*;

public class testflex {

	static com.bolthole.flexilayout mylayout;

	public static void main(String args[]){
		Frame top=new Frame("container test");
		mylayout=new com.bolthole.flexilayout();
		Component one,two,three,four,five;


		/* have inside Panel to avoid menu-underlay bug */
		Panel inside=new Panel(mylayout);
		top.add(inside);

		top.setSize(400,400);


		one=new blob(100,100);
		one.setBackground(Color.red);
		inside.add(one);

		two=new blob(50,50);
		two.setBackground(Color.green);
		inside.add(two);

		three=new blob(50,50);
		three.setBackground(Color.blue);
		inside.add(three);

		four=new blob(50,70);
		four.setBackground(Color.black);
		inside.add(four);

		five=new blob(60,60);
		five.setBackground(Color.white);
		inside.add(five);


		mylayout.setConstraints(two,	mylayout.TileRightOf, one,
						mylayout.TileDownOf, one);

		mylayout.setLocation(one, 150,150);

		mylayout.setConstraints(two,	mylayout.TileRightOf, one,
						mylayout.TileDownOf, one);

		mylayout.setConstraints(three,	mylayout.Center,one,
						mylayout.TileUpOf, one);

		mylayout.setConstraints(four,	mylayout.TileLeftOf, one,
						mylayout.TileUpOf, one);

		mylayout.setConstraints(five,	mylayout.TileRightOf, three,
						mylayout.TileUpOf, one);


		top.setVisible(true);
		inside.doLayout();
		/*top.pack();*/

	}
}
